import request from '@/utils/request'
import config from '@/utils/config'
export function getYSOrders(query) {
  return request({
    url: config.BASE_URL + '/getYSOrders',
    method: 'get',
    params: query
  })
}
export function queryYSOrder(query) {
  return request({
    url: config.BASE_URL + '/queryYSOrder',
    method: 'POST',
    params: query
  })
}
export function getOdno() {
  return request({
    url: config.BASE_URL + '/getOdno',
    method: 'get'
  })
}
export function addYSOrder(query) {
  return request({
    url: config.BASE_URL + '/addYSOrder',
    method: 'POST',
    params: query
  })
}
export function mdjCalculate(query) {
  return request({
    url: config.BASE_URL + '/mdjCalculate',
    method: 'POST',
    params: query
  })
}
export function changMM(query) {
  return request({
    url: config.BASE_URL + '/changMM',
    method: 'POST',
    params: query
  })
}
export function deleteYSOrder(query) {
  return request({
    url: config.BASE_URL + '/deleteYSOrder',
    method: 'get',
    params: query
  })
}
export function getYSOrder(query) {
  return request({
    url: config.BASE_URL + '/getYSOrder',
    method: 'get',
    params: query
  })
}
export function selectYSOrderServiceLog(query) {
  return request({
    url: config.BASE_URL + '/selectYSOrderServiceLog',
    method: 'get',
    params: query
  })
}
export function queryYSOrderReturn(query) {
  return request({
    url: config.BASE_URL + '/queryYSOrderReturn',
    method: 'get',
    params: query
  })
}
export function checkSLStartDate(query) {
  return request({
    url: config.BASE_URL + '/checkSLStartDate',
    method: 'get',
    params: query
  })
}
export function updateYSOrder(query) {
  return request({
    url: config.BASE_URL + '/updateYSOrder',
    method: 'POST',
    params: query
  })
}
export function insertYSOrderReturn(query) {
  return request({
    url: config.BASE_URL + '/insertYSOrderReturn',
    method: 'POST',
    params: query
  })
}
export function selectByOdNo(query) {
  return request({
    url: config.BASE_URL + '/selectByOdNo',
    method: 'GET',
    params: query
  })
}
export function insertYsOrderPay(query) {
  return request({
    url: config.BASE_URL + '/insertYsOrderPay',
    method: 'POST',
    params: query
  })
}
export function queryYSOrderPay(query) {
  return request({
    url: config.BASE_URL + '/queryYSOrderPay',
    method: 'POST',
    params: query
  })
}
export function queryDcIntroducersByUser(query) {
  return request({
    url: config.BASE_URL + '/queryDcIntroducersByUser',
    method: 'GET',
    params: query
  })
}
export function finishYSOrder(query) {
  return request({
    url: config.BASE_URL + '/finishYSOrder',
    method: 'POST',
    params: query
  })
}
export function selectCustomerPay(query) {
  return request({
    url: config.BASE_URL + '/selectCustomerPay',
    method: 'get',
    params: query
  })
}
export function queryVoucherByTradeNo(query) {
  return request({
    url: config.BASE_URL + '/queryVoucherByTradeNo',
    method: 'get',
    params: query
  })
}
export function queryCustomerPayAndVoucher(query) {
  return request({
    url: config.BASE_URL + '/queryCustomerPayAndVoucher',
    method: 'get',
    params: query
  })
}
export function loadUserID(query) {
  return request({
    url: config.BASE_URL + '/loadUserID',
    method: 'get',
    params: query
  })
}
export function checkOutTradeNo(query) {
  return request({
    url: config.BASE_URL + '/checkOutTradeNo',
    method: 'get',
    params: query
  })
}
export function createPayQrCode(query) {
  return request({
    url: config.BASE_URL + '/createPayQrCode',
    method: 'POST',
    data: query,
    dataType: 'json',
    contentType: 'application/json'
  })
}
